function kindergarten_playschool_openNav() {
  jQuery(".sidenav").addClass('show');
}
function kindergarten_playschool_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function kindergarten_playschool_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const kindergarten_playschool_nav = document.querySelector( '.sidenav' );

      if ( ! kindergarten_playschool_nav || ! kindergarten_playschool_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...kindergarten_playschool_nav.querySelectorAll( 'input, a, button' )],
        kindergarten_playschool_lastEl = elements[ elements.length - 1 ],
        kindergarten_playschool_firstEl = elements[0],
        kindergarten_playschool_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && kindergarten_playschool_lastEl === kindergarten_playschool_activeEl ) {
        e.preventDefault();
        kindergarten_playschool_firstEl.focus();
      }

      if ( shiftKey && tabKey && kindergarten_playschool_firstEl === kindergarten_playschool_activeEl ) {
        e.preventDefault();
        kindergarten_playschool_lastEl.focus();
      }
    } );
  }
  kindergarten_playschool_keepFocusInMenu();
} )( window, document );

var kindergarten_playschool_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    kindergarten_playschool_btn.addClass('show');
  } else {
    kindergarten_playschool_btn.removeClass('show');
  }
});

kindergarten_playschool_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-chevron-up " aria-hidden="true"></i>','<i class="fas fa-chevron-down" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery('.header-search-wrapper .search-main').click(function(){
  jQuery('.search-form-main').toggleClass('active-search');
  jQuery('.search-form-main .search-field').focus();
});

jQuery("#top-slider .slider-inner-box h3").html(function(){
    var text2 = jQuery(this).text().trim().split(" ");
    var lastWord = text2.pop(); // Remove and store the last word

    if(text2.length > 0) {
        var remainingText = text2.join(" ");
        return `${remainingText} <span class='last_slide_head'>${lastWord}</span>`;
    } else {
        return `<span class='last_slide_head'>${lastWord}</span>`;
    }
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});